# Sayısal Güvenlik

## Buradan Başlayın

Zaman sıkıntısı mı çekiyorsunuz? Baskıyla mücadele etmek ve daha iyi bir dünya inşaa etmek için çok mu meşgulsünüz? Muhteşem! Burada bahsedeceğimiz kolay adımlarla kendinizin ve herkesin sayısal hayatını daha güvenli kılabilirsiniz.

* [Yazışma disiplinine giriş yapın](./beseri-guvenlik/mesaj-disiplini.md): Yazışma disiplinine giriş yapın: Saldırıların çoğu posta kutunuzdan gelir. E-posta ve anlık yazışma kullanırken uygun önlemleri nasıl alacağınızı öğrenin.
* [Parola yöneticisi ve Zarola kullanın](./passwords.md): Parola yöneticisi kullanarak kendinizi çok sayıda tehlikeden koruyabilirsiniz. Parola yöneticinizi de bir Zarola ile koruyarak güvenliğinizi artırabilirsiniz.
* [Cihazlarınızı şifreleyin](./device-encryption.md): Tam disk şifreleme kullanması çok kolay, pek çok işletim sisteminde dahili olarak gelen ve cihazlarınızdaki verilerin korunmasında çok etkili bir sistemdir.
* [Web sitelerini daha güvenli gezin](./better-web-browsing.md): Varsayılan tarayıcınızı ve varsayılan ayarlarını değiştirip birkaç eklenti kurarak web üzerindeki güvneliğinizi ve keyfinizi fazlasıyla arttırabilirsiniz.
* [Yazılımlarınızı güvenli çalıştırın](./software-safety.md): Cihazlarınızdaki yazılımları güncellemek güvenliğiniz için yapabileceğiniz en basit şeydir.

## Neden Güvenlik Önemlidir

Bilgi ve iletişim (bilişim) teknolojilerinin giderek yükselen önemi bir başka olguyu daha hayatımıza getirdi: *gözetim toplumunun* yükselişi. Gözetimi, güç sahiplerinin [_hakimiyetlerini korumak için iletişim üzerinde kontrol kurması_] olarak düşünebilirsiniz.

**Ulus Devletler;** yeni iletişim teknolojilerine, bu yolla yapılacak iletişimi ve kitleleri topluca kontrol etmek için gerekli altyapıları geliştirerek tepki vermiştir. Pek çok devlet aynı zamanda ahlaki değerleri olmayan özel şirketlerle insanların ve toplumun öncülerinin iletişimlerine ve cihazlarına girmek için işbirliği yapmakta.

**Şirketler;** İnternet sayesinde ortaya çıkan veriye dayalı düzende rekabette sağ kalabilmek için insanların kişisel verilerini toplayıp, inceleyip sonuç çıkarmak zorunda olduklarını fark ettiler. Özellikle reklamcılık sektörü tamamen kişilerin takip edilmesi ve davranışlarının incelenmesi üzerine kurulu bir sisteme geçiş yaptı.

**Suçlular;** kişilerin cihazlarına ve hesaplarına yapacakları saldırılar aracılığı ile yapabilecekleri şantaj ve sahteciliğin çokça karlı olduğunu farketti.

Bu bağlamda, sayısal güvenlik hayati bir öneme sahiptir.

* Devlet gözetiminin, sosyal hareket ve ilerlemeyi bastırdığı gerçeği tarihi olarak bilinen bir gerçektir.
* Dolaylı bile olsa, kontrolsüz gözetimin sosyal hareketler ve insanlar üzerinde olumsuz etkileri vardır.
* Şirket gözetimi devletlerinki kadar ciddi bir tehlikedir. Sadece şirketlerin insanlar hakkında topladığı sınırsız bilginin devletler tararfından başka amaçlarla kullanılması değil, şirketlerin tüketiciler üzerinde hiç olmadığı şekilde kontrol sahibi olması da tehlikenin bir parçasıdır.

İnsanlar toplu gözetimin yükselişi hakkında bilgi edinmeye başladıklarında çoğunlukla yenik hissetmektedirler. Kimi bu durumdan kurtuluş olmadığına karar verip tüm benliklerini gözetim altında yaşamaya razı gelmekte veya tüm sayısal iletişimlerini kendilerini korumak adına sonlandırmaktadırlar. Biz üçüncü bir yol olduğuna inanıyor ve güvenlik ile mahremiyetin herkese erişilebilir olması için çalışıyoruz.

## Güvenlik Önizlemi

|Güvenlik Tipi|Bu nedir?|Ne zaman Faydalıdır?|
|--- |--- |--- |
|[Beşeri Güvenlik](./chapter_1.md)|**Davranışlarınız** ile ilgili yapabileceğiniz küçük değişiklikler.|İnsan hatalarının bir güvenlik sistemindeki *zayıf halka* olmasını engeller.|
|[Cihaz Güvenliği](./chapter_1.md)|**Bilgisayar ve telefonlarınızı** saldırılara daha dayanıklı kılacak adımlar.|Cihazınızın *fiziksel* olarak saldırganların eline geçmesi durumunda bilinen saldırılara karşı dayanıklı kılmak yararlıdır.|
|[Yazışma Güvenliği](./chapter_1.md)|**her mesajı** gönderir veya alırken şifrelenin yolları.|Eğer belirli bir mesajın gönderilir ve depolanırken **mahremiyetini** teminat altına almak için gereklidir.|
|[Ağ Güvenliği](./chapter_1.md)|Sizi takip eden siteleri engellemek ve **İnternet trafiğinizi** şifrelemek.|Davranışsal takiplere, hesap çalınmalarına, sansüre, sosyal ağ takibine, dinlemlere ve reklamlara karşı korunmaya yardımcı olur|

Ayrıca [güvenlik okuma listesi](./resources.md) sayfasını daha fazla güvenlik rehberi ve aktivist servis sağlayıcılar için inceleyin.
